Overview

Calenz is a personal calendar which runs locally on your PC. It allows you to enter any events for days on or after today and Calenz will remind you on the events occurring today and tomorrow. Use it as a means to remind you of important/special days and to schedule your timetable. Calenz can load when Windows boots up and it will notify you of the events happening today and tomorrow. It minimizes automatically after you have read the events or when there are no events. Use the data exporting and importing functions to back up your events or transfer them to someone else's Calenz.

In addition, Calenz is visually attractive and it has the ability to change 'skins' and 'visuals' which will give Calenz a totally new design! Everyone can have a unique calendar and will not be bored by the same interface every time you use Calenz. The custom colour changing and the saving and loading of 'scheme' files which adds even more variety in the designing of your custom calendar.

In this version 1.3, a 'diary' mode is introduced. This is for you to keep and enter past events and these past events will not be deleted every time Calenz starts. In this mode, you have to delete events manually.

Lastly, have fun with Calenz!


Using The Main Window

 The Main Window

The main window has a calendar displaying the days in a particular month The functions of the buttons are described as below:

About
Brings up the About window.

Options
Brings up the Options window.

Hide
Minimizes Calenz as an icon to the taskbar.

Exit
Exits Calenz.

Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec Buttons
Goes to selected month.

<<
Goes back one year.

<
Goes back one month.

>
Goes forward one month.

>>
Goes forward one year.

Add/Edit Events
Brings up another window to input events for a new day or to edit existing events for that day. If multiple days are selected with the right mouse button, the events entered will apply to the all selected days except for days earlier than today. (But if diary mode is on, days earlier than today are updated)

Delete Events
Deletes events from a day. It will pick the current event from the list of events (ie. the combobox) for deletion instead of the day selected in the calendar. However, if multiple days from the calendar are selected, Calenz will attempt to delete all the selected days including days with no events.

Today...
Check for events on today and tomorrow and the selected day in the calendar will reset to today's date.

Time:
Displays the current time HH:MM:SS A.M./P.M.

List of Events Combobox
All events entered are displayed here. Select an day to move the day in the calendar to the selected day to edit or delete.

Other Main Window Controls
These are the various mouse commands executed on the unused part of the main window:

Left-click in the visual area
Pauses or continues the visual animation.

Left-click and hold
Moves the main window to a new position. You can even move the events window also.

Right-click
Hide or show main window components.

Double-click
View your user information.


 The Event Window

Displaying an event for the day

The event window displays today's and tomorrow's event information entered by the user when Calenz is loaded or when the 'Today's Event' button is pressed. Click 'OK' or press 'Esc' to close the window.

Adding or editing events

The event window also serves as a input window for the addition or editing of events. This window is brought up when the 'Add/Edit Events' button is pressed or when you double-clicked on a day in the calendar. Enter an event title in the text field or you may leave it blank where Calenz will assign a '<No Title>' string when the event is saved. Event details are entered in the large text box below. If multiple days are selected, the window caption will display 'Add/Edit Events on selected days' and whatever event you entered will apply to all the selected days. On selecting days in the calendar, check the help in The Calendar. Click 'OK' to save the event(s) or click 'Cancel' or press 'Esc' to close the window without saving.

The 'W', 'M', 'm' and 'Y' buttons serve as weekly, monthly, monthly(by week and day) and yearly reminders.
The format of the date associated with these reminders are as follows:
Weekly(W): nn/WW/YYYY where nn is from 01 to 07, representing Sun to Sat.
Symbol in calendar: '
Monthly(M): dd/WW/YYYY where dd is the day in the month.
Symbol in calendar: ^
Monthly by week(m): nn/WN/YYYY where nn is from 01 to 07, representing Sun to Sat and N is the Nth week of the month.
Symbol in calendar: "
Yearly(Y): dd/Mth/YYYY where dd is the day in the month and Mth is the specified month.
Symbol in calendar: *
These special reminders can be edited by choosing the date from the Events ComboBox and click the 'Add/Edit Events' button. You can also double-click on any day of the special reminders to edit.

Deleting events

If you clicked on the 'Delete Events' button, the event window will appear for confirmation to delete the particular day. If multiple days are selected, the window on the right will appear. On selecting days in the calendar, check the help in The Calendar. Click 'OK' to delete the event(s) or click 'Cancel' or press 'Esc' to close the window without deleting. Weekly, monthly and yearly reminders can only be deleted through a selection in the Events ComboBox.

Other Event Window Controls

Left-click and hold
Moves the event window to a new position.


 The About Window

The about window displays the designer's name and the years the software is developed. Depending on individual skins, the name of the skin designer may be displayed.


 The Tray Icon

The Calenz tray icon is the blue icon right beside the time. This is used to access Calenz's functions when Calenz is minimized. Left-click on the icon to show or hide Calenz.

Bring up the above menu by right-clicking the icon:
Show/Hide: Show or hide Calenz.
Stay on top: Enables/disables Calenz to be a top-level window, to be above other windows.
Options: Brings up the Options window.
About: Brings up the About window.
Close: Quits Calenz.


 The Calendar

Using the calendar

The currently selected day is in this colour and the rest of the days in this colour are the days which have events. To view the events in one of the days, simply double-click on the day and the event window will appear. The event window will display the event in that particular day, if there is already an event, for editing, otherwise the event window will display empty text fields for the addition of a new event. See The Event Window for more information.

For a certain day, it may be marked by one of the following calendar symbols:
[] - today
' - weekly event
^ - monthly event
" - monthly by week event
* - yearly event

Selecting multiple days

Use the right-mouse button to select multiple days in any order. You can even hold down the mouse to select. If you wish to cancel your selection, click on any day in the calendar using the left mouse button or press the 'Esc' key.


Options: Skins

 The Options Window: Skins

The file list box in the option window displays all the skin files available in the 'skins' sub-directory of the installed directory. Select one of the '.s' files and press 'OK' or double-click to change into the selected skin.

The other skin options are as follows:

Show button edges on mouse-over
Check this to display button borders when you put the mouse cursor over it

Lock current colour settings
Check this to make Calenz ignore the colour settings file in the selected skin and apply all current colours to the new skin.

Load Scheme...
Loads a scheme file from the 'schemes' sub-directory.

Save Scheme...
Saves a scheme file into the 'schemes' sub-directory. See Customizing: Schemes.

Modify Skin Colour...
Changes the colour of the skin. Adjust the colour using the red, green and blue trackbars (each of their values are from -255 to 255) and click 'OK' when done. Use the 'Reset' button to restore the original colours. Click '<- Back' to return to the previous 'skins' page or click 'Cancel' to exit.

Modify Font Colour...
Changes the colour of the fonts, text, calendar, dropdown list and glowing panel colours. Select one of the following window elements to change colour and click on the coloured button next to it. This will bring up the window on the right which allows you to pick a colour from the rainbow spectrum. The current colour is reflected in the edit box as a hexadecimal value. You can enter a value in the edit box or pick a colour from the rainbow spectrum or the greyscale spectrum above the intensity trackbar. Choose from 2 types of spectrum: Trapezoid or Gaussian and left click the colour you want. The intensity trackbar (values from -255 to 255) will alter the brightness and darkness of the spectrum. The colour you have selected will be displayed below the 'OK' and 'Cancel' buttons and its red, green, blue values will be displayed in numerical values. Press 'OK' to confirm your colour selection and 'Cancel' to quit.

This is the list of window elements for the main window:
FunctionButtons - for Add Events,Delete Events,Today's Event buttons
NaviButtons - for <<,<,>,>> buttons
TimeLabel -> for time display
DropDown -> background colour of dropdown list of events
DropDownText -> font and border colour for dropdown
Calendar -> background colour of calendar
CalendarText -> font and selected cell colour of calendar
CalendarHighlight -> colour for days with events
CalendarMthsText -> buttons with the 12 months
About -> button that brings up the about window
SysButtons -> options, minimize and exit buttons
GlowPanelText -> font colour for text in panel displaying 'Year: xxxx Month: xx Day: xx'
GlowColour1 -> start glow colour for panel
GlowColour2 -> end glow colour for panel

This is the list of window elements for the event window:
TitleLabel -> title label
EventsLabel -> events label above the edit box
OKButton -> the button 'OK'
CancelButton -> the button 'Cancel'
Edit -> background colour for edit box
EditText -> font colour for edit box
Memo -> background colour for memo box
MemoText -> font colour for memo box

This is the list of window elements for the about window:
ProductName -> Calenz label
CopyRight -> Author/Designer label

Web links...
Click on a link to download skins and schemes from the Calenz website!


Options: Visuals

 The Options Window: Visuals

The file list box in the visuals option window displays all the visuals files located in the 'vis' sub-directory of the installed directory. Select one of the '.v' files and press 'OK' or double-click on one of the visuals to start rendering. Note that for skins without a visual area, the changing of visuals will have no visible changes but the visual file will be updated in calenz.ini anyway.

The other visual options are as follows:

Colour1,Colour2
Click on one of the colour boxes to bring up the window below which allows you to pick a colour from the rainbow spectrum. You can even pick a colour from the greyscale spectrum above the intensity trackbar. Choose from 2 types of spectrum: Trapezoid or Gaussian and left click the colour you want. The intensity trackbar (values from -255 to 255) will alter the brightness and darkness of the spectrum. The colour you have selected will be displayed below the 'OK' and 'Cancel' buttons and its red, green, blue values will be displayed in numerical values. Press 'OK' to confirm your colour selection and 'Cancel' to quit. Note that this does not apply to visuals using RGB colour.

Swap Colours
Exchanges Colour1 and Colour2. Normally, Colour1 is the darker colour and Colour2 is of a lighter colour. Do a swap to see visuals in the 'negative'. This does not apply to visuals using RGB colour.

Random Colours
Check this box to display random visual colours for the time interval specified. This does not apply to visuals using RGB colour.

Random Visuals
Check this box to display random visuals for the time interval specified. This option randomly reads a visual file and if you are running Scandisk or Disk Defragmenter or other disk utilities, turn this option off so that Calenz does not interfere with the disk programs.

Time Interval (seconds)
The time interval that the random colours and/or the random visuals option is triggered. The minimum value is 1 and the maximum allowed value is 99999999.

Web link...
Click on the link to download visuals from the Calenz website!


Options: Data

 The Options Window: Data

This screen manages the importing and exporting of Calenz data files (.dat). This is useful for sharing data between different PCs. You can export a file containing holidays from a particular year or even birthdays which your friends can import into their Calenz. The main data file that Calenz uses is called 'calenz.dat' and when you import a data file, this main file is updated. Also, the exporting option can also be used as a means to backup your Calenz data to other files.

Import Data File:

For events on same days:
Select the method of importing if same days with events from the imported file and the current Calenz data file occur:
Overwrite: Replace the current days with those in the imported file.
No overwrite: Do not replace similar days.
Append: Append the events from the imported file. The events are each separated by a space in the title field and a carriage return in the memo field.

Import from file...:
Choose a file(.dat) to import from.

Export Data File:

Choose which year and month:
Select the available year and month from the dropdown lists to export. You can choose to export all the days by checking the 'All' checkbox.

Export to file...:
Name a file(.dat) to export to.

Clear all data:
This clears all the events in the data file (calenz.dat). Before clearing, Calenz will prompt for a backup of the existing data to be exported. Type a new filename to save the data if you want to and there will be a final confirmation to clear the data.

British/American Date Format
You can choose to display the date as the British (dd/mm/yyyy) or American (mm/dd/yyyy) date format.

Diary Mode
Check this to avoid deleting past events. Calenz will automatically delete past events (events earlier than today) if the checkbox is not checked. Also, you can enter past events in Diary Mode and you have to delete these events manually.

Web link...
Click on the link to download data files for importing from the Calenz website!


Options: Help

 The Options Window: Help

A quick help screen with basic help to use Calenz. Use the scrollbar on the right to navigate. You can click on the scrollbar or hold the left mouse and move the cursor up and down to scroll the text.

Display float-over help
Check this box to enable the hints that appear when you put your mouse over the main form's buttons, calendar and other components.

More Help...
Link to this help file you are viewing now. =)

Web link...
Click on the link to visit the Calenz website!


Customizing: Skins

 Create your custom skins

The Calenz Designer program bundled in the Calenz installation is specially tailored for creating new custom skins for Calenz. Run Calenz Designer from your Calenz folder and follow its quick help for instructions. Below are some technical details about skins in Calenz.

A skin file is basically a ZIP file containing 3 '.bmp' files for the windows in Calenz and a configuration file (.ini) to assign colours and visuals to Calenz. The ZIP file is renamed with an extension '.s' to identify it as a Calenz skin file. The transparent colour is taken as the colour from the pixel at the top left-hand corner of each of the bitmaps which is Lime in the Default skin. The visual colour for Default is Black.

If you want to rearrange the components(buttons, edit boxes, panels, etc...) or use bitmaps for the buttons for advanced customization, I recommend that you use Calenz Designer. This is because editing the configuration file 'backg.ini' for the coordinates of the buttons is tedious.

Below are the details of what is inside a skin file and if you want to make Calenz skins without the Calenz Designer.

The main window: Default skin (400x400 pixels bitmap)

The event window: (400x300 pixels bitmap)

The about window: (300x200 pixels bitmap)

Design your skins and save the 3 files as 'backg.bmp' for the main window, 'backg1.bmp' for the event window and 'backg2.bmp' for the about window. Next, comes the colour configuration and visual control in 'backg.ini'.
Note that Calenz Designer will save the 3 bitmaps and backg.ini file for you in a zipped skin file.

Backg.ini
This is an example of 'backg.ini' from the Default skin. The colour values are in the form of 'RRGGBB' where RR, GG and BB are the red, green and blue components in hexadecimal (00 to FF) respectively. Edit the values manually or you can choose colours from Calenz and save the colours into a Scheme file (.sch). Open the '.sch' file as a text file and copy the [Main Screen], [Input Screen] and [Aboutbox] sections into 'backg.ini'.

[Main Screen]
FunctionButtons=EEEEEE
NaviButtons=EEEEEE
TimeLabel=A3ADC6
DropDown=063A82
DropDownText=00A7FF
Calendar=063A82
CalendarText=00A7FF
CalendarHighlight=0057AA
CalendarMthsText=EEEEEE
@=EEEEEE
SysButtons=EEEEEE
GlowPanelText=EEEEEE
GlowColour1=063A82
GlowColour2=00A7FF

[Input Screen]
TitleLabel=A3ADC6
EventsLabel=EEEEEE
OKButton=EEEEEE
CancelButton=A3ADC6
Edit=063A82
EditText=00A7FF
Memo=063A82
MemoText=00A7FF

[AboutBox]
ProductName=EEEEEE
CopyRight=EEEEEE

[Visual]
VisFile=Default.v
VisColour=000000
Left=17
Top=13
Width=116
Height=114
Colour1=063A82
Colour2=EEEEEE

[MainWindowComponentsCoords]
Glowpanel=136,34,160,26,8,0
Calendar=107,131,189,111,8,0
Eventslistbox=134,84,165
Listbox=134,103,162,15,8
Backyrbtn=109,246,45,22,8,<<
Backmthbtn=155,246,45,22,8,<
Nextmthbtn=201,246,45,22,8,>
Nextyrbtn=246,246,45,22,8,>>
Todaybtn=109,296,91,22,8,Today's Event
Addeditbtn=109,271,91,22,8,Add/Edit Events
Deletebtn=201,271,90,22,8,Delete Events
Aboutbtn=136,61,40,15,8,About
Minimizebtn=227,61,36,15,8,Hide
Optionsbtn=177,61,49,15,8,Options
Exitbtn=264,61,31,15,8,Exit
Timelabel=203,300,88,14,8
Janbtn=52,129,30,15,8,Jan
Febbtn=52,145,30,15,8,Feb
Marbtn=52,161,30,15,8,Mar
Aprbtn=52,177,30,15,8,Apr
Maybtn=52,193,30,15,8,May
Junbtn=52,209,30,15,8,Jun
Julbtn=52,225,30,15,8,Jul
Augbtn=52,241,30,15,8,Aug
Sepbtn=52,257,30,15,8,Sep
Octbtn=52,273,30,15,8,Oct
Novbtn=52,289,30,15,8,Nov
Decbtn=52,305,30,15,8,Dec

[EventWindowComponentsCoords]
Titlelabel=92,79,32,16,8,Title:
Eventslabel=92,64,227,13,8
Titleedit=123,78,203,19,8
Memotextarea=89,114,232,77,8
Okbutton=89,192,115,21,8,OK
Cancelbutton=205,192,115,21,8,Cancel
Weeklyreminderbtn=55,118,18,18,8,W
Monthlyreminderbtn=55,136,18,18,8,M
Monthlybyweekreminderbtn=55,154,18,18,8,m
Yearlyreminderbtn=55,172,18,18,8,Y
Eventwindow=-299,71,265,18

[AboutWindowComponentsCoords]
Productnamelabel=40,72,120,16,10
Copyrightlabel=40,106,219,16,10
Aboutwindow=98,-115,98,-115

[OptionsWindowComponentsCoords]
Optionswindow=-194,123,307,83

Check the entries in [Main Screen], [Input Screen] and [Aboutbox] here for more details. The [Visual] section initializes the visual settings for the skin:

VisFile -> Name of visual file
VisColour -> Colour in backg.bmp for the display of visuals.
Left -> Top-Left x coordinate of visual area.
Top -> Top-Left y coordinate of visual area.
Width -> Width of visual area.
Height -> Height of visual area.
Colour1 -> Darker colour for paletted visuals
Colour2 -> Lighter colour for paletted visuals

The sections headings ending with 'Coords' define the coordinates of a component or window. For a component, the first 4 numbers define the left, top, width and height values. If there is a 5th value, it defines the font size. The 6th value defines the caption that appears on a button but is ignored if a bitmap is used for the button. The 7th value, if present, is the name of the bitmap used on a button. The coordinates for the 'Eventwindow', 'Aboutwindow' and 'Optionswindow' define 2 sets of left and top values. The first set is used when Calenz is to the right of the screen and the sub-window is displayed to the left and the second set is used if the main window is on the left of the screen and causes the sub-window to appear on the right.

Finalizing and saving the skin file (.s)
Zip up the 3 '.bmp' files and 'backg.bmp' and whatever '.bmp' files you have defined for any buttons into a new zip file of a name of your choice. Rename the zip file to from a '.zip' extension to a '.s' extension. Copy the file to the 'skins' sub-directory of Calenz's installed directory. Load the skin from the skins options menu. Check that the coordinates of the area for the visual, if you have one, is properly defined. Edit whichever files you feel that requires touching-up and re-zip the files. There you have ... a custom skin!


Customizing: Visuals

 Create your custom visuals

This section is meant for programmers using Delphi. A visual file is a dynamic link library (.dll) file. Calenz is written in Delphi 3 and to compile a visual, you will need Delphi 3 or newer. A visual example is shown below and you can copy and paste the code into a new file and call it CalenzVis.dpr or you can download it from Calenz's web site. Open the project file (.dpr) from Delphi and compile it. The output will be 'calenzvis.dll' and copy it as '<filename>.v' into the 'vis' directory of Calenz. Load the visual file from Calenz and use a skin with a visual area to see the result.

There is a pointer to a mask array (ppicmask) which defines the shape of the visual area. This can be used as a boundary for your visuals that may involve particles, for example, the 'fireworks.v' and 'fireball.v' visuals. The 'mousex' and 'mousey' in the Vis procedure can be used to add some user interaction to your visuals like creating water ripples over the mouse cursor in the 'water.v' visual or changing pictures in the PhotoDisplay visual.

/// StarDust.v example
library CalenzVis;
uses
SysUtils,Classes,Math;

type
pictypeptr=^pictype;
pictype=array[0..400*400-1] of integer; ///array for main window size
ctype=array[0..100] of integer; // array for indexed colour entries
ycalctypeptr=^ycalctype;
ycalctype=array[0..400-1] of integer; //array for pre-calculated y values

var
pycalc: ycalctypeptr;
ppicmask: pictypeptr;
vxx,vyy,vxpos,vypos,fheight: integer;
vptr: pictypeptr;

///Calenz will initialize the visual using this procedure when a visual is
loaded
///mxpos,mypos: visual area position on main form
///mxx,myy: width and height of visual area
///mpicmask: mask of visual area
///mycalc: pre-calculated y values (calcauted by each y value multiplied by mxx)
procedure VisInit(mxpos,mypos,mxx,myy: integer; mpicmask:
pictype;mycalc:ycalctype);stdcall;
begin
randomize;
/// use local variables to reference variables in main Calenz program
pycalc:= @mycalc; ppicmask:= @mpicmask;
vxpos:= mxpos; vypos:= mypos; vxx:= mxx; vyy:= myy;

vptr:= nil; new(vptr);
fillchar(vptr^,sizeof(pictype),0); /// initialize virtual buffer

///Stardust startup code
if myy div 50<2 then fheight:= 1
else
if myy div 50>=2 then fheight:= 2
else if myy div 50>=4 then fheight:= 3;
end;

///Calenz will run this procedure at a specified frame rate.
///mpic: array of colour bits for the display of rendered visual
///mc: colour palette of entries 0..100 from Calenz main program
///where 0..9 is a gradient from black to colour1
///and 10..90 is a gradient from colour1 to colour2
///and where 90..100 is a gradient from colour2 to white
///mousex,mousey: position of mouse cursor with respect to the main Calenz window
procedure Vis(var mpic: pictype;mc:ctype;mousex,mousey: integer)stdcall;
var
/// Stardust variables
i,j,tmpint,tmpint2,tmpint3,ccolor: integer;
begin
///put pixels in virtual buffer
for i:= 0 to vxx do
begin
tmpint:= random(50)+50;
tmpint2:= i+pycalc^[random(3)+1];
if tmpint2<=vxx*vyy-1 then vptr^[tmpint2]:= tmpint;
end;

/// Check that mouse position is within visual area and displays pixels on that
point
if (((mousex>=vxpos) and (mousex<=vxpos+vxx)) and ((mousey>=vypos)
and (mousey<=vypos+vyy))) then
begin
for i:= -3 to 3 do
for j:= -3 to 3 do
begin
tmpint:= random(90)+10;
tmpint2:= mousex-vxpos+i+pycalc^[vypos+vyy-mousey+j];
if tmpint2<=vxx*vyy-1 then vptr^[tmpint2]:= tmpint;
end;
end;

/// rendering code
for j:= vyy-1-1 downto 1 do
for i:= 1 to vxx-1 do
begin
tmpint:= i+pycalc^[j];
ccolor:= vptr^[tmpint]-random(5-fheight);
if ccolor<0 then ccolor:= 0;
if ccolor>100 then ccolor:= 100; /// set colour limits
tmpint2:= tmpint+vxx*(fheight+random(1));
/// check that the new pixel position does not exceed array
if tmpint2<=vxx*vyy-1 then vptr^[tmpint2]:= ccolor;
mpic[tmpint]:= mc[ccolor];
/// get RGB colour from Calenz palette
/// if you want to use RGB colours, use
/// 'mpic[tmpint]:= ccolor;'
/// where ccolor:= ((r shl 8) shl 8) or (g shl 8) or b;
end;
end;

///Calenz will do any clean up code for the visual using this procedure
procedure VisClose;stdcall;
begin
/// release memory
try
if vptr<> nil then dispose(vptr);
except
end;
end;

exports
VisInit index 1,
Vis index 2,
VisClose index 3;
begin
end.


Customizing: Schemes

 Create your custom schemes

Schemes files (.sch) are text files containing colour information that Calenz will use for each of the various components. All you need to do is to access the 'Skins' tab in the Options window. Modify the skin colour and modify the font colours. When you are satisfied with the colour changes, save the scheme to a file. Refer to the Options: Skins topic for more information.

If you are undecided on the visual colours to use, check the random colours checkbox in the 'Visuals' tab in the Options window and set the time interval to about 5 seconds. Watch the visual change colours every 5 seconds, if you see the colours you like, quickly bring up the Options window. The visual colours will appear in the 2 colour panels. Uncheck the random colours checkbox and go to the 'Skins' tab to save your scheme.


 Calenz as a Photo Frame

Calenz as a photo frame? Yes, you can download the PhotoFrame skins and the PhotoDisplay visual and you can get a desktop photo frame! Load the PhotoFrame skin, set the Calenz to stay on top and hide the window components. Create a 'photodisplay' directory as a sub-directory in the 'vis' directory. Place whatever photos or picture files (.jpg only) into the directory. The ideal size of the picture should be roughly 185 x 235 or proportionally. If the picture is too large, the PhotoDisplay visual will shrink it proportionally and it the picture is too small, it is placed in the center of the visual area against a background. The background colour can be assigned as Colour1 through the visual options in Calenz.

The PhotoDisplay visual will randomly load one of the pictures at startup, after which you can navigate through the different pictures. The pictures are sorted alphabetically by name. Move your mouse cursor over one of the two top corners (red squares) of the visual area to view pictures prior to the current one. Or move your cursor over one of the bottom two corners (blue squares) to see pictures after the current one. If the last picture is already loaded, the first one will be loaded ie. the sequence of pictures will loop. You can even pause the visual or 'lock' the current picture by left-clicking in the visual area to prevent accidental changing of pictures. Left-click to un-pause and navigate freely.


Overview

Technical Issues

- Calenz runs on Windows 95/98 and newer versions of Windows. It requires a colour-display of at least 16-bit to be view properly. 24-bit or 32-bit colour is recommended for better graphics. Calenz will take up at about 10-12% of your system resources, so if you need to run something that need a lot of memory, shut down Calenz first. You can check the resources taken up by Calenz by running the Resource Meter program in the Accessories folder in Windows and then running Calenz to compare the resource changes.
- Calenz runs in the background when it is minimized and is given a idle process priority so that more processor speed is released for other programs.
- When using the 'random visuals' option, Calenz will load a random visual file for the interval specified. If you are using Scandisk or Disk Defragmenter, it will interfere with them because it reads from the hard disk every interval. Close Calenz or uncheck the 'random visuals' option with you need to run disk-maintenance programs.
- Calenz will only run once from any directory. To run multiple copies of Calenz on the same PC, different directories will have to be created and the program files copied into them. You can allow the programs to access the skins and visuals from one directory from editing the paths in the calenz.ini file.

Calenz requires the following files to run: calenz.exe, unzdll.dll, default.s ('skins' directory), default.v (visual directory). If any of these are missing, please reinstall the program.